std::complex< float > Class Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types

typedef __complex__ float | _ComplexT
typedef float | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (const complex &)=default
constexpr | complex (const complex< double > &)
constexpr | complex (const complex< long double > &)
constexpr | complex (float __r=0.0f, float __i=0.0f)
| __attribute ((__abi_tag__("cxx11"))) const expr float imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr float real() const
constexpr _ComplexT | __rep () const
constexpr void | imag (float __val)
template<class _Tp>
constexpr complex & | operator*= (const complex< _Tp > &__z)
constexpr complex & | operator*= (float __f)
template<typename _Tp>
constexpr complex & | operator+= (const complex< _Tp > &__z)
constexpr complex & | operator+= (float __f)
template<class _Tp>
constexpr complex & | operator-= (const complex< _Tp > &__z)
constexpr complex & | operator-= (float __f)
template<class _Tp>
constexpr complex & | operator/= (const complex< _Tp > &__z)
constexpr complex & | operator/= (float __f)
constexpr complex & | operator= (const complex &)=default
template<typename _Tp>
constexpr complex & | operator= (const complex< _Tp > &__z)
constexpr complex & | operator= (float __f)
constexpr void | real (float __val)

## Detailed Description

26.2.3 complex specializations complex<float> specialization

Definition at line 1083 of file complex.

## Member Typedef Documentation

## _ComplexT

typedef __complex__ float std::complex< float >::_ComplexT

Definition at line 1087 of file complex.

## value_type

typedef float std::complex< float >::value_type

Definition at line 1086 of file complex.

## Constructor & Destructor Documentation

## complex() [1/2]

std::complex< float >::complex | ( | _ComplexT | __z | ) |

inline constexpr

Definition at line 1089 of file complex.

## complex() [2/2]

std::complex< float >::complex | ( | float | __r = 0.0f,
|  | float | __i = 0.0f )

inline constexpr

Definition at line 1091 of file complex.

## Member Function Documentation

## __attribute() [1/2]

std::complex< float >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1115 of file complex.

## __attribute() [2/2]

std::complex< float >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1111 of file complex.

## __rep()

_ComplexT std::complex< float >::__rep | ( |  | ) | const

inline constexpr

Definition at line 1224 of file complex.

## imag()

void std::complex< float >::imag | ( | float | __val | ) |

inline constexpr

Definition at line 1138 of file complex.

## operator*=() [1/2]

template<class _Tp>

complex & std::complex< float >::operator*= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1208 of file complex.

## operator*=() [2/2]

complex & std::complex< float >::operator*= | ( | float | __f | ) |

inline constexpr

Definition at line 1162 of file complex.

## operator+=() [1/2]

template<typename _Tp>

complex & std::complex< float >::operator+= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1192 of file complex.

## operator+=() [2/2]

complex & std::complex< float >::operator+= | ( | float | __f | ) |

inline constexpr

Definition at line 1148 of file complex.

## operator-=() [1/2]

template<class _Tp>

complex & std::complex< float >::operator-= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1200 of file complex.

## operator-=() [2/2]

complex & std::complex< float >::operator-= | ( | float | __f | ) |

inline constexpr

Definition at line 1155 of file complex.

## operator/=() [1/2]

template<class _Tp>

complex & std::complex< float >::operator/= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1217 of file complex.

## operator/=() [2/2]

complex & std::complex< float >::operator/= | ( | float | __f | ) |

inline constexpr

Definition at line 1169 of file complex.

## operator=() [1/2]

template<typename _Tp>

complex & std::complex< float >::operator= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1183 of file complex.

## operator=() [2/2]

complex & std::complex< float >::operator= | ( | float | __f | ) |

inline constexpr

Definition at line 1141 of file complex.

## real()

void std::complex< float >::real | ( | float | __val | ) |

inline constexpr

Definition at line 1135 of file complex.

The documentation for this class was generated from the following file:

- complex